ConstrainedEvolver Class Referenceabstract

Constrained market-model evolver. More...

`#include <ql/models/marketmodels/constrainedevolver.hpp>`

Inheritance diagram for ConstrainedEvolver:
[legend]

## Public Member Functions

virtual void | setConstraintType (const std::vector< Size > &startIndexOfSwapRate, const std::vector< Size > &EndIndexOfSwapRate)=0
| call once
virtual void | setThisConstraint (const std::vector< Rate > &rateConstraints, const std::valarray< bool > &isConstraintActive)=0
| call before each path
Public Member Functions inherited from MarketModelEvolver
virtual const std::vector< Size > & | numeraires () const =0
virtual Real | startNewPath ()=0
virtual Real | advanceStep ()=0
virtual Size | currentStep () const =0
virtual const CurveState & | currentState () const =0
virtual void | setInitialState (const CurveState &)=0

## Detailed Description

Constrained market-model evolver.

Abstract base class. Requires extra methods above that of marketmodelevolver to let you fix rates via importance sampling.

The evolver does the actual gritty work of evolving the forward rates from one time to the next.

This is intended to be used for the Fries-Joshi proxy simulation approach to Greeks